ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ninad Shah <ninad_s...@yahoo.com>
Subject RE: Style: java.lang.UnsupportedClassVersionError
Date Fri, 17 Jan 2003 19:49:39 GMT

Thanks for great input. I have upgraded to JDK 1.4.1 and that error goes away. But now the
style does not generate any output and also it does nto give any error. Here is my build.xml:
<taskdef name="mtxslt" classname="org.xmLP.ant.taskdefs.xslt.XSLTProcess"
     classpath="C:\ant\lib\mtxslt-1.5.jar"/>
<taskdef name="checkstyle" classname="com.puppycrawl.tools.checkstyle.CheckStyleTask" classpath="C:\checkstyle-2.4\checkstyle-all-2.4.jar"/>
  <target name="checkcodingstyle">
    <checkstyle failureProperty="checkstyle.failure" failOnViolation="false">
     <fileset dir="src/test" includes="**/*.java"/>
        <formatter type="plain"/>
        <formatter type="xml" toFile="${build}/checkstyle_report.xml"/>
 </checkstyle>
 <mtxslt processor="trax" in="${build}/checkstyle_report.xml"
   out="${build}/checkstyle_report.html" style="checkstyle-frames.xsl"/>
  </target>
Thanks.
Ninad
 EXT / FOCAL MALAPRADE Roland <ext.focal.malaprade@sncf.fr> wrote:the major.minor version
48.0 correponds to JDK 1.4

that supposes that the class files in "mtxslt-1.5.jar" were compiled with
JDK 1.4

are you running at least that version JDK (or JVM)?

> -----Message d'origine-----
> De : Ninad Shah [mailto:ninad_shah@yahoo.com]
> Envoye : vendredi 17 janvier 2003 04:10
> A : ant-user@jakarta.apache.org
> Objet : Style: java.lang.UnsupportedClassVersionError
> 
> 
> 
> Recently I have started using Ant. And, just configuring the 
> Ant with different Ant tasks. So, to use "style" I downloaded 
> "mtxslt-1.5.jar" and placed it under ANT_HOME/lib. I also add 
> that jar in CLASSPATH variable. BTW I am using JBuilder 4.0 
> with antrunner and running ant from JBuilder. After that I 
> have created following "taskdef":
> > classname="org.xmLP.ant.taskdefs.xslt.XSLTProcess" 
> classpath="C:\ant\lib\mtxslt-1.5.jar"/>
> 
> 
> The ant was running correctly before I added above taskdef.
> 
> Now, when I run build.xml, it is throwing follwing exception:
> 
> java.lang.UnsupportedClassVersionError: 
> org/xmLP/ant/taskdefs/xslt/XSLTProcess (Unsupported 
> major.minor version 48.0)
> at java.lang.ClassLoader.defineClass0(Native Method)
> at java.lang.ClassLoader.defineClass(ClassLoader.java:486)
> at 
> java.security.SecureClassLoader.defineClass(SecureClassLoader.
> java:111)
> at java.net.URLClassLoader.defineClass(URLClassLoader.java:248)
> at java.net.URLClassLoader.access$100(URLClassLoader.java:56)
> at java.net.URLClassLoader$1.run(URLClassLoader.java:195)
> at java.security.AccessController.doPrivileged(Native Method)
> at java.net.URLClassLoader.findClass(URLClassLoader.java:188)
> at java.lang.ClassLoader.loadClass(ClassLoader.java:297)
> at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:286)
> at java.lang.ClassLoader.loadClass(ClassLoader.java:253)
> at 
> org.apache.tools.ant.AntClassLoader.findBaseClass(AntClassLoad
> er.java:1105)
> at 
> org.apache.tools.ant.AntClassLoader.loadClass(AntClassLoader.java:922)
> at java.lang.ClassLoader.loadClass(ClassLoader.java:253)
> at 
> org.apache.tools.ant.taskdefs.Definer.addDefinition(Definer.java:230)
> at org.apache.tools.ant.taskdefs.Definer.execute(Definer.java:162)
> at 
> org.apache.tools.ant.helper.ProjectHelperImpl$TaskHandler.fini
> shed(ProjectHelperImpl.java:821)
> at 
> org.apache.tools.ant.helper.ProjectHelperImpl$AbstractHandler.
> endElement(ProjectHelperImpl.java:300)
> at 
> org.apache.xerces.parsers.AbstractSAXParser.endElement(Unknown Source)
> at 
> org.apache.xerces.parsers.AbstractXMLDocumentParser.emptyEleme
> nt(Unknown Source)
> at 
> org.apache.xerces.impl.XMLDocumentFragmentScannerImpl.scanStar
> tElement(Unknown Source)
> at 
> org.apache.xerces.impl.XMLDocumentFragmentScannerImpl$Fragment
> ContentDispatcher.dispatch(Unknown Source)
> at 
> org.apache.xerces.impl.XMLDocumentFragmentScannerImpl.scanDocu
> ment(Unknown Source)
> at org.apache.xerces.parsers.DTDConfiguration.parse(Unknown Source)
> at org.apache.xerces.parsers.DTDConfiguration.parse(Unknown Source)
> at org.apache.xerces.parsers.XMLParser.parse(Unknown Source)
> at org.apache.xerces.parsers.AbstractSAXParser.parse(Unknown Source)
> at 
> org.apache.tools.ant.helper.ProjectHelperImpl.parse(ProjectHel
> perImpl.java:155)
> at 
> org.apache.tools.ant.ProjectHelper.configureProject(ProjectHel
> per.java:117)
> at org.apache.tools.ant.Main.runBuild(Main.java:597)
> at org.apache.tools.ant.Main.start(Main.java:196)
> at org.apache.tools.ant.Main.main(Main.java:235)
> java.lang.UnsupportedClassVersionError: 
> org/xmLP/ant/taskdefs/xslt/XSLTProcess (Unsupported 
> major.minor version 48.0)
> at java.lang.ClassLoader.defineClass0(Native Method)
> at java.lang.ClassLoader.defineClass(ClassLoader.java:486)
> at 
> java.security.SecureClassLoader.defineClass(SecureClassLoader.
> java:111)
> at java.net.URLClassLoader.defineClass(URLClassLoader.java:248)
> at java.net.URLClassLoader.access$100(URLClassLoader.java:56)
> at java.net.URLClassLoader$1.run(URLClassLoader.java:195)
> at java.security.AccessController.doPrivileged(Native Method)
> at java.net.URLClassLoader.findClass(URLClassLoader.java:188)
> at java.lang.ClassLoader.loadClass(ClassLoader.java:297)
> at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:286)
> at java.lang.ClassLoader.loadClass(ClassLoader.java:253)
> at 
> org.apache.tools.ant.AntClassLoader.findBaseClass(AntClassLoad
> er.java:1105)
> at 
> org.apache.tools.ant.AntClassLoader.loadClass(AntClassLoader.java:922)
> at java.lang.ClassLoader.loadClass(ClassLoader.java:253)
> at 
> org.apache.tools.ant.taskdefs.Definer.addDefinition(Definer.java:230)
> at org.apache.tools.ant.taskdefs.Definer.execute(Definer.java:162)
> at 
> org.apache.tools.ant.helper.ProjectHelperImpl$TaskHandler.fini
> shed(ProjectHelperImpl.java:821)
> at 
> org.apache.tools.ant.helper.ProjectHelperImpl$AbstractHandler.
> endElement(ProjectHelperImpl.java:300)
> at 
> org.apache.xerces.parsers.AbstractSAXParser.endElement(Unknown Source)
> at 
> org.apache.xerces.parsers.AbstractXMLDocumentParser.emptyEleme
> nt(Unknown Source)
> at 
> org.apache.xerces.impl.XMLDocumentFragmentScannerImpl.scanStar
> tElement(Unknown Source)
> at 
> org.apache.xerces.impl.XMLDocumentFragmentScannerImpl$Fragment
> ContentDispatcher.dispatch(Unknown Source)
> at 
> org.apache.xerces.impl.XMLDocumentFragmentScannerImpl.scanDocu
> ment(Unknown Source)
> at org.apache.xerces.parsers.DTDConfiguration.parse(Unknown Source)
> at org.apache.xerces.parsers.DTDConfiguration.parse(Unknown Source)
> at org.apache.xerces.parsers.XMLParser.parse(Unknown Source)
> at org.apache.xerces.parsers.AbstractSAXParser.parse(Unknown Source)
> at 
> org.apache.tools.ant.helper.ProjectHelperImpl.parse(ProjectHel
> perImpl.java:155)
> at 
> org.apache.tools.ant.ProjectHelper.configureProject(ProjectHel
> per.java:117)
> at org.apache.tools.ant.Main.runBuild(Main.java:597)
> at org.apache.tools.ant.Main.start(Main.java:196)
> at org.apache.tools.ant.Main.main(Main.java:235)
> org/xmLP/ant/taskdefs/xslt/XSLTProcess (Unsupported 
> major.minor version 48.0)
> AntRunner completed run
> 
> Please, help me out to run style task.
> 
> Thanks in advance.
> 
> Ninad
> 
> 
> 
> ---------------------------------
> Do you Yahoo!?
> Yahoo! Mail Plus - Powerful. Affordable. Sign up now
> 

--
To unsubscribe, e-mail: 
For additional commands, e-mail: 



---------------------------------
Do you Yahoo!?
Yahoo! Mail Plus - Powerful. Affordable. Sign up now
Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message